Name: scons
Version: 0.97
Release: alt2.1

Summary: an Open Source software construction tool
Summary(ru_RU.KOI8-R): Open Source    

License: MIT, freely distributable
Group: Development/Python
Url: http://www.scons.org

Packager: Pavlov Konstantin <thresh@altlinux.ru>

BuildArch: noarch
BuildRequires: python >= 1.5 python-devel
Requires: python >= 1.5

Source: http://dl.sf.net/scons/%name-src-%version.tar.gz

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software.  SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax.  SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.  SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched.  SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%description -l ru_RU.KOI8-R
SCons --      --    
   Make;     . SCons
 ,        Software
Carpentry   2000.

    SCons --    Python,  
      . SCons   
    ,     
(  )    ,   , 
  #include. SCons   MD5  , 
   , أ   ,  
    . SCons      ޣ
   Builder / Scanner.

%package -n %name-doc

Summary: Documentation for scons package
Summary(ru_RU.KOI8-R):    scons
Group: Development/Python

%description -n %name-doc
This package contains various documentation related to SCons usage and develompent.

%description -n %name-doc -l ru_RU.KOI8-R
        SCons  
 .

%prep
%setup -n %name-src-%version

%build
export SCONS_LIB_DIR=%_builddir/%name-src-%version/src/engine
%__python src/script/scons.py build/scons

%install
pushd build/scons
python setup.py install \
				--root=%buildroot \
				--standard-lib \
				--optimize=2 \
				--record=../../INSTALLED_FILES
popd
mkdir -p %buildroot%_man1dir
mv %buildroot/usr/man/man1/* %buildroot%_man1dir/

grep -vE '/usr/man' INSTALLED_FILES > filelist
rm -rf %buildroot/usr/man/

find doc -name *.in | xargs rm -f

%files -f filelist
%doc LICENSE README src/CHANGES.txt src/README.txt src/RELEASE.txt
%_man1dir/*

%files -n %name-doc
%doc doc/design doc/reference doc/python10 doc/user HOWTO

%changelog
* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.97-alt2.1
- Rebuilt with python-2.5.

* Tue Aug 28 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.97-alt2
- Applied patch fixing linkage problems due to as-needed (thx gvy@).

* Tue May 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.97-alt1
- 0.97 release.

* Tue May 01 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.96.96-alt1
- 0.96.96 release.
- Fixed building on x86_64.

* Sat Dec 09 2006 Yury Aliaev <mutabor@altlinux.ru> 0.96.93-alt1
- version 0.96.93

* Thu May 25 2006 Vitaly Lipatov <lav@altlinux.ru> 0.96.92-alt0.1
- NMU: new version 0.96.92 (with rpmrb script)
- fix Source URL

* Mon Jun 20  2005 Vitaly Lipatov <lav@altlinux.ru> 0.96.90-alt2
- NMU: new version
- cleanup spec

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.96.1-alt1.1
- Rebuilt with python-2.4.

* Sat Feb 26 2005 Yury Aliaev <mutabor@altlinux.ru> 0.96.1-alt1
- updated to 0.96.1
- spec adopted for new version features
- splitted into two packages, scons and scons-doc

* Wed Nov 19 2003 Yury Aliaev <mutabor@altlinux.ru> 0.94-alt1
- updated to new version
- spec cleanup

* Sat Nov 01 2003 Yury Aliaev <mutabor@altlinux.ru> 0.93-alt1
- alt 1
- initial release, spec cleanup
- based on original spec by Steven Knight <knight@scons.org>
